#Module-Specific definitions
%define rversion 2.13
%define revision r376644

%define mod_name mod_apreq

%define	major 3
%define libname %mklibname apreq2_ %{major}
%define develname %mklibname apreq -d

Name:		libapreq2
Version:	%perl_convert_version %{rversion}
Release:	%mkrel 14
Summary:	Apache Request Library
License:	Apache License
Group:      System/Libraries
URL:		http://httpd.apache.org/apreq/
Source0:	http://people.apache.org/~issac/libapreq2-%{rversion}.tar.gz
Source1:	http://people.apache.org/~issac/libapreq2-%{rversion}.tar.gz.asc
Source2:	mod_apreq2.conf
Patch1:		libapreq2-2.08-autoconf260.diff
Patch2:		libapreq2-2.13-automake-1.13.patch
BuildRequires:	chrpath
BuildRequires:	perl-devel
BuildRequires:	perl-doc
BuildRequires:	perl-Pod-Tests
BuildRequires:	perl-Apache-Test
BuildRequires:	perl-Template-Toolkit
BuildRequires:	perl-Tie-IxHash
BuildRequires:	perl-ExtUtils-XSBuilder
BuildRequires:	perl-Parse-RecDescent
BuildRequires:	perl-libwww-perl
BuildRequires:	apache-mod_perl-devel
BuildRequires:	apache-devel

%description
libapreq is a safe, standards-compliant, high-performance library used for
parsing HTTP cookies, query-strings and POST data. The original version
(libapreq-1.X) was designed by Lincoln Stein and Doug MacEachern. The perl
APIs Apache::Request and Apache::Cookie are the lightweight mod_perl analogs of
the CGI and CGI::Cookie perl modules.

This package contains the shared libraries for %{name}

%package -n	%{libname}
Summary:	Apache Request Library
Group: 		System/Libraries
Obsoletes:	%{_lib}apreq2 < 2.130.0-5

%description -n	%{libname}
libapreq is a safe, standards-compliant, high-performance library used for
parsing HTTP cookies, query-strings and POST data. The original version
(libapreq-1.X) was designed by Lincoln Stein and Doug MacEachern. The perl
APIs Apache::Request and Apache::Cookie are the lightweight mod_perl analogs of
the CGI and CGI::Cookie perl modules.

This package contains the shared libraries for %{name}

%package -n	%{develname}
Summary:	Development library and header files for the Apache Request Library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libapreq-devel = %{version}
Obsoletes:	%{mklibname apreq 0 -d}

%description -n	%{develname}
libapreq is a safe, standards-compliant, high-performance library used for
parsing HTTP cookies, query-strings and POST data. The original version
(libapreq-1.X) was designed by Lincoln Stein and Doug MacEachern. The perl
APIs Apache::Request and Apache::Cookie are the lightweight mod_perl analogs of
the CGI and CGI::Cookie perl modules.

This package contains the development library and its header files.

%package -n	perl-libapreq2
Summary:	Apache Request Library Perl Glue
Group:		System/Servers
Requires:	apache-mod_perl
Requires:	apache-mod_apreq >= %{version}

%description -n perl-libapreq2
libapreq is a safe, standards-compliant, high-performance library used for
parsing HTTP cookies, query-strings and POST data. The original version
(libapreq-1.X) was designed by Lincoln Stein and Doug MacEachern. The perl
APIs Apache::Request and Apache::Cookie are the lightweight mod_perl analogs of
the CGI and CGI::Cookie perl modules.

%package -n	apache-%{mod_name}
Summary:	DSO module for the apache Web server
Group:		System/Servers
Requires:	apache
Requires:	perl-libapreq2 >= %{version}

%description -n	apache-%{mod_name}
Mod_%{name} is a DSO module for the apache Web server.

%prep
%setup -q -n libapreq2-%{rversion}
%patch1 -p0
%patch2 -p1

%build
sh ./buildconf
%configure2_5x \
    --disable-static \
    --with-perl=%{_bindir}/perl \
    --enable-perl-glue \
    --with-mm-opts=INSTALLDIRS=vendor \
    --with-apache2-apxs=%{_httpd_apxs} \
    --with-apr-config=%{_bindir}/apr-1-config \
    --with-apu-config=%{_bindir}/apu-1-config

%make

# Build the perl modules
#pushd glue/perl
#    %{__perl} ../../build/xsbuilder.pl run
#    CFLAGS="%{optflags}" %{__perl} Makefile.PL -apxs %{_sbindir}/apxs INSTALLDIRS=vendor
#    %make
#    mv Makefile Makefile.xx
#popd

#make test

%install
%makeinstall_std

install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_modconfdir}/10_mod_apreq2.conf

# install one extra devel file
install -m0755 apreq*-config %{buildroot}%{_bindir}/

# install the perl stuff
#pushd glue/perl
#cp Makefile.xx Makefile
#%makeinstall_std
#popd

# nuke rpath
find %{buildroot}%{perl_vendorlib} -name "*.so" | xargs chmod 0755
find %{buildroot}%{perl_vendorlib} -name "*.so" | xargs chrpath -d

# cleanup
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc CHANGES INSTALL README
%{_libdir}/libapreq2.so.%{major}
%{_libdir}/libapreq2.so.%{major}.*

%files -n %{develname}
%doc CHANGES INSTALL README
%{_bindir}/apreq*-config
%{_libdir}/libapreq*.so
%{_includedir}/apreq*
%{_includedir}/httpd/apreq*

%files -n apache-%{mod_name}
%doc CHANGES INSTALL README
%config(noreplace) %{_httpd_modconfdir}/10_mod_apreq2.conf
%{_httpd_moddir}/mod_apreq2.so

%files -n perl-libapreq2
%doc CHANGES INSTALL README
%{perl_vendorlib}/*/auto/APR/Request/*
%{perl_vendorlib}/*/Apache2/*
%{perl_vendorlib}/*/APR/*
%{_mandir}/man3/*


%changelog
* Tue Nov 05 2013 fwang <fwang> 2.130.0-14.mga4
+ Revision: 549523
- update perm

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri May 31 2013 jquelin <jquelin> 2.130.0-13.mga4
+ Revision: 433697
- perl 5.18.0 rebuild

  + fwang <fwang>
    - rebuild for new perl

* Sat Jan 12 2013 fwang <fwang> 2.130.0-11.mga3
+ Revision: 357460
- fix build with latest automake

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 12 2012 guillomovitch <guillomovitch> 2.130.0-10.mga3
+ Revision: 280837
- drop useless patch0
- adapt to new apache setup

* Sat Jul 07 2012 luigiwalser <luigiwalser> 2.130.0-9.mga3
+ Revision: 268668
- fix module configuration to work with systemd (mga #6714)

* Thu May 31 2012 fwang <fwang> 2.130.0-8.mga3
+ Revision: 251949
- rebuild for new perl

  + jquelin <jquelin>
    - perl 5.16 rebuild

* Tue Mar 20 2012 luigiwalser <luigiwalser> 2.130.0-6.mga2
+ Revision: 225030
- httpd restart is handled by filetriggers now

* Sat Dec 10 2011 fwang <fwang> 2.130.0-5.mga2
+ Revision: 180011
- correct libname
  drop .la files

* Wed Oct 26 2011 nanardon <nanardon> 2.130.0-4.mga2
+ Revision: 158287
- apache-mod_ssl is probably not required
- try to fix build on BS

  + dmorgan <dmorgan>
    - add libtool as Buildrequire
    - Change apache-conf require

* Sun Jun 12 2011 sander85 <sander85> 2.130.0-3.mga2
+ Revision: 104747
- Rebuild for perl 5.14

* Mon Jan 24 2011 dmorgan <dmorgan> 2.130.0-2.mga1
+ Revision: 37394
- Remove mdv macros
- imported package libapreq2

